slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPCISSSetSizes

Sets the values of various size parameters in the CISS solver.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPCISSSetSizes(PEP pep,PetscInt ip,PetscInt bs,PetscInt ms,PetscInt npart,PetscInt bsmax,PetscBool realmats)

Logically Collective

### Input Parameters

| pep | - the polynomial eigensolver context
| ip | - number of integration points
| bs | - block size
| ms | - moment size
| npart | - number of partitions when splitting the communicator
| bsmax | - max block size
| realmats | - all coefficient matrices of P(.) are real

### Options Database Keys

| -pep_ciss_integration_points | - Sets the number of integration points
| -pep_ciss_blocksize | - Sets the block size
| -pep_ciss_moments | - Sets the moment size
| -pep_ciss_partitions | - Sets the number of partitions
| -pep_ciss_maxblocksize | - Sets the maximum block size
| -pep_ciss_realmats | - all coefficient matrices of P(.) are real

### Notes

The default number of partitions is 1. This means the internal KSP object is shared among all processes of the PEP communicator. Otherwise, the communicator is split into npart communicators, so that npart KSP solves proceed simultaneously.

### See Also

PEPCISSGetSizes()

### Level

advanced

### Location

src/pep/impls/ciss/pciss.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages